Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066298 - Task event log is not displaying username when task is moved to RELEASED state
Summary: Task event log is not displaying username when task is moved to RELEASED state
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER2
: 6.0.1
Assignee: Mauricio Salatino
QA Contact: Jan Hrcek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 08:44 UTC by Jan Hrcek
Modified: 2014-08-06 20:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:04:12 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot showing the problem (deleted)
2014-02-18 08:44 UTC, Jan Hrcek
no flags Details

Description Jan Hrcek 2014-02-18 08:44:05 UTC
Created attachment 864415 [details]
Screenshot showing the problem

Description of problem:
When task is moved to RELEASED state (using the 'Lock' button in the tasklist) the username of the user who performed the release is not logged in the task details > Log section. See screenshot.

Version-Release number of selected component (if applicable):
BPMS 6.0.1 ER1

How reproducible:
Always

Steps to Reproduce:
1. In business-central go to task list, create a new task.
2. Try moving the task to various states (claim, start, release, etc.)
3. Go to task details (magnifying glass button) and expand the log section

Actual results:
The Task RELEASED events are missing the name of the user who released the task.

Expected results:
To make the log consistent, username should be displayed for all the task events.

Comment 1 Mauricio Salatino 2014-02-20 14:41:32 UTC
fixed in 6.0.x: https://github.com/droolsjbpm/jbpm/commit/820d530f6d95219a34546759f3b23605063abea3

Comment 2 Marco Rietveld 2014-02-24 16:08:52 UTC
Cherry-picked to master: https://github.com/droolsjbpm/jbpm/commit/8acab216342617264522430910a8a30029d1134b

Comment 3 Jan Hrcek 2014-03-07 06:15:27 UTC
Ok, verified with BPMS 6.0.1 ER2.


Note You need to log in before you can comment on or make changes to this bug.